  <div class="sidebar">
    <ul>

      <?php 	/* Widgetized sidebar, if you have the plugin installed. */
				if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar() ) : ?>
	    <?php endif; ?>

      <li id="rss_box">
        <h2 id="rss_text"><a href="<?php bloginfo('rss2_url'); ?>">RSS Feeds</a></h2>
      </li>

      <li id="search">
        <form method="get" id="searchform" action="<?php bloginfo('url'); ?>">
          <div>
            <input type="text" value="<?php the_search_query(); ?>" name="s" id="s" size="15" />
            <input type="submit" id="searchsubmit" value="Search" />
          </div>
        </form>
      </li>
  
      <li>
        <h2>
          <?php _e('Recent Posts'); ?>
        </h2>
        <ul>
          <?php
            global $post;
            $myposts = get_posts('numberposts=5');
            foreach($myposts as $post) :
          ?>
          <li>
            <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a> 
          </li>
          <?php endforeach; ?>
        </ul>
      </li>

      <li>
        <h2><?php _e('Categories'); ?></h2>
        <ul>
          <?php wp_list_cats('sort_column=name&optioncount=1&hierarchical=0&file=category.php'); ?>
        </ul>
      </li>

      <li>
        <h2><?php _e('Monthly Archives'); ?></h2>
        <ul>
          <?php wp_get_archives('type=monthly'); ?>
        </ul>
      </li>

      <?php get_links_list(); ?>

    </ul>
  </div>
