<?php get_header(); ?>

    <?php if(have_posts()): ?><?php while(have_posts()) : the_post(); ?>
      <div class="post" id="post-<?php the_ID(); ?>">
        <h2 class="post"><?php the_title(); ?></h2>
  
          <div class="entry">
            <?php the_content(); ?>
            <?php link_pages('<p><strong>Pages:</strong>','</p>','number'); ?>
              <p class="postmetadata">
                <?php _e('Filed under&#58;'); ?>
                <?php the_category(', ') ?>
                <?php _e('Tags&#58;'); ?>
                <?php the_tags(); ?>
                <?php _e('by'); ?>
                <?php the_author(); ?>
                <?php _e('Date'); ?>
                <?php the_time('j F, Y'); ?>
                <?php edit_post_link('Edit',' &#124; ',''); ?>
              </p>
          </div>
        </div>                                                            
        <div class="comments-template">
          <?php comments_template(); ?>
        </div>
    <?php endwhile; ?>

      <div class="navigation">
        <div class="alignleft"><?php previous_post_link('&laquo; %link')?></div>
        <div class="alignright"><?php next_post_link('%link&raquo;') ?></div>
      </div>

    <?php else : ?>

      <div class="post">
        <h2> 
          <?php _e('Not Found'); ?>
        </h2>
      </div>

    <?php endif; ?>

  </div>

  <?php get_sidebar(); ?>

  <?php get_footer(); ?>
</div>
</body>
</html>

